Subject: Re: PowerBook5,8 - TrackPad update

From: Dmitry Torokhov <[email-masked]>
Date: Sat, 24 Dec 2005 19:52:09 -0500

On Saturday 24 December 2005 19:33, Benjamin Herrenschmidt wrote:
> 
> > It should be doable once in gpm, all other apps can use gpm's repeater
> > mode...
> > 
> > > When it's in raw mode for use by the synaptics X driver, if course, it's
> > > expected that those things are to be done by that driver.
> > 
> > ...but you are right, doing it in /dev/input/mice emulation layer
> > makes some sense. OTOH I thought we were moving away from
> > /dev/input/mice... Its Dmitry's call I guess.
> 
> Heh, yes, it is. No hurry anyway, I finally got synaptics working
> properly in X ...
> 
> Why would we move away from the mouse mux ? It's proven to be very
> useful to me at least :)
>

It is very limited - number of buttons, wheels, etc. Once X supports
hotplugging mouse multipexor outgrows its usefullness (GPM can simply
be restarted every time we detect new input device).

-- 
Dmitry